package de.oaa.xxx.aufgaben;

import java.util.List;
import java.util.UUID;

public class AufgabenGruppe {

	private UUID gruppenId;
	private String name;
	private String beschreibung;
	private String von;
	private UUID userId;
	private boolean privateGruppe;
	private List<Toy> toys;
	private List<Aufgabe> aufgaben;
	private List<Strafe> strafen;
	private List<Sperre> sperren;
	private String bild;
	public UUID getGruppenId() {
		return gruppenId;
	}
	public void setGruppenId(UUID gruppenId) {
		this.gruppenId = gruppenId;
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public String getBeschreibung() {
		return beschreibung;
	}
	public void setBeschreibung(String beschreibung) {
		this.beschreibung = beschreibung;
	}
	public UUID getUserId() {
		return userId;
	}
	public void setUserId(UUID userId) {
		this.userId = userId;
	}
	public boolean isPrivateGruppe() {
		return privateGruppe;
	}
	public void setPrivateGruppe(boolean privateGruppe) {
		this.privateGruppe = privateGruppe;
	}
	public List<Toy> getToys() {
		return toys;
	}
	public void setToys(List<Toy> toys) {
		this.toys = toys;
	}
	public List<Aufgabe> getAufgaben() {
		return aufgaben;
	}
	public void setAufgaben(List<Aufgabe> aufgaben) {
		this.aufgaben = aufgaben;
	}
	public List<Strafe> getStrafen() {
		return strafen;
	}
	public void setStrafen(List<Strafe> strafen) {
		this.strafen = strafen;
	}
	public List<Sperre> getSperren() {
		return sperren;
	}
	public void setSperren(List<Sperre> sperren) {
		this.sperren = sperren;
	}
	public void setBild(String bild) {
		this.bild = bild;
	}
	public String getBild() {
		return bild;
	}
	public String getVon() {
		return von;
	}
	public void setVon(String von) {
		this.von = von;
	}

}
